Subject: Re: Bug! Git merge also fails with a wrong error message

From: Yves Goergen <[email-masked]>
Date: Fri, 13 Jan 2012 19:49:17 +0100

On 13.01.2012 18:50 CE(S)T, Jeff King wrote:
> Whether a file in the working tree is tracked or not does not have to do
> with the history, but rather with whether it is mentioned in the index.

I'm not using the index. In fact I don't even know how that what I have
read about it can be useful.

> Does the file appear in "git ls-files"?

Yes, it's in the list along with all other files.

> It sounds like you are perhaps making changes in the working tree and
> index, and then trying to checkout/merge on top of that. In that case
> "git status" would report the file as renamed, but it's possible the
> file is still in the working tree. From git's perspective the file is no
> longer tracked, but the operations you are requesting would overwrite
> the new contents (and git is being safe by refusing to do so).

Here's the git status output:
# On branch master
nothing to commit (working directory clean)

I have switched to master and the very next action was trying the merge.
There's no change in the working directory, and nothing uncommitted.

-- 
Yves Goergen "LonelyPixel" <[email-masked]>
Visit my web laboratory at http://beta.unclassified.de